GET api/PatientSharedFiles/{id}
Get information about a file shared by a patient.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Unique ID of the shared file. |
integer |
Required |
Body Parameters
None.
Response Information
Resource Description
PatientSharedFileModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id |
ID of the file shared by the patient. |
integer |
None. |
| PatientExternalId |
ID of the patient in the integrating system. |
string |
None. |
| PortalCreated |
Date and time when the file was received in the portal (UTC) |
date |
None. |
| DisplayName |
Meaningful name given to the file by the patient. |
string |
None. |
| FileName |
Name of the file uploaded by the patient. |
string |
None. |
| PatientComments |
Comments about the file. |
string |
None. |
| Status |
Status of the file. Possible values are New and Processed. |
string |
None. |
| AlreadySent |
Indicates whether the file shared by patient is already sent. |
boolean |
None. |
| SentOn |
Indicates the datetime when the file shared by patient was sent. |
date |
None. |
| DownloadUrl |
URL in the web project. |
string |
None. |
| ApiUrl |
URL of the API. |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": 1,
"patientExternalId": "sample string 2",
"portalCreated": "2026-05-29T16:57:19.7537069+00:00",
"displayName": "sample string 4",
"fileName": "sample string 5",
"patientComments": "sample string 6",
"status": "sample string 7",
"alreadySent": true,
"sentOn": "2026-05-29T16:57:19.7537069+00:00",
"downloadUrl": "sample string 9",
"apiUrl": "sample string 10"
}
application/xml, text/xml
Sample:
<PatientSharedFileModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Patients.PatientSharedFiles"> <AlreadySent>true</AlreadySent> <ApiUrl>sample string 10</ApiUrl> <DisplayName>sample string 4</DisplayName> <DownloadUrl>sample string 9</DownloadUrl> <FileName>sample string 5</FileName> <Id>1</Id> <PatientComments>sample string 6</PatientComments> <PatientExternalId>sample string 2</PatientExternalId> <PortalCreated>2026-05-29T16:57:19.7537069+00:00</PortalCreated> <SentOn>2026-05-29T16:57:19.7537069+00:00</SentOn> <Status>sample string 7</Status> </PatientSharedFileModel>